AWebAbstractClipCommand.prototype = new AWebGraphicCommand();
AWebAbstractClipCommand.prototype.constructor = AWebAbstractClipCommand;
function AWebAbstractClipCommand(clipRegion) {
	AWebGraphicCommand.call(this);
	this.clipRegion = clipRegion;
}
function c0(clipRegion) { return new AWebAbstractClipCommand(clipRegion); }


AWebAbstractTransformCommand.prototype = new AWebGraphicCommand();
AWebAbstractTransformCommand.prototype.constructor = AWebAbstractTransformCommand;
function AWebAbstractTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY) {
	AWebGraphicCommand.call(this);
	this.scaleX = scaleX;
	this.scaleY = scaleY;
	this.shearX = shearX;
	this.shearY = shearY;
	this.translateX = translateX;
	this.translateY = translateY;
}
function c1(scaleX, scaleY, shearX, shearY, translateX, translateY) { return new AWebAbstractTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY); }


AWebAddClipCommand.prototype = new AWebAbstractClipCommand();
AWebAddClipCommand.prototype.constructor = AWebAddClipCommand;
function AWebAddClipCommand(clipRegion) {
	AWebAbstractClipCommand.call(this, clipRegion);
	this.clipRegion = clipRegion;
}
function c2(clipRegion) { return new AWebAddClipCommand(clipRegion); }


AWebAddTransformCommand.prototype = new AWebAbstractTransformCommand();
AWebAddTransformCommand.prototype.constructor = AWebAddTransformCommand;
function AWebAddTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY) {
	AWebAbstractTransformCommand.call(this, scaleX, scaleY, shearX, shearY, translateX, translateY);
	this.scaleX = scaleX;
	this.scaleY = scaleY;
	this.shearX = shearX;
	this.shearY = shearY;
	this.translateX = translateX;
	this.translateY = translateY;
}
function c3(scaleX, scaleY, shearX, shearY, translateX, translateY) { return new AWebAddTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY); }


AWebAlphaCompositeCommand.prototype = new AWebGraphicCommand();
AWebAlphaCompositeCommand.prototype.constructor = AWebAlphaCompositeCommand;
function AWebAlphaCompositeCommand(alpha) {
	AWebGraphicCommand.call(this);
	this.alpha = alpha;
}
function c4(alpha) { return new AWebAlphaCompositeCommand(alpha); }


AWebBrush.prototype = new Object();
AWebBrush.prototype.constructor = AWebBrush;
function AWebBrush() {
	Object.call(this);
}
function c5() { return new AWebBrush(); }


AWebBrushCommand.prototype = new AWebGraphicCommand();
AWebBrushCommand.prototype.constructor = AWebBrushCommand;
function AWebBrushCommand(brush) {
	AWebGraphicCommand.call(this);
	this.brush = brush;
}
function c6(brush) { return new AWebBrushCommand(brush); }


AWebCloseSegment.prototype = new AWebShapeSegment();
AWebCloseSegment.prototype.constructor = AWebCloseSegment;
function AWebCloseSegment() {
	AWebShapeSegment.call(this);
}
function c7() { return new AWebCloseSegment(); }


AWebCreateShapeCommand.prototype = new AWebGraphicCommand();
AWebCreateShapeCommand.prototype.constructor = AWebCreateShapeCommand;
function AWebCreateShapeCommand(shape) {
	AWebGraphicCommand.call(this);
	this.shape = shape;
}
function c8(shape) { return new AWebCreateShapeCommand(shape); }


AWebCubicToSegment.prototype = new AWebShapeSegment();
AWebCubicToSegment.prototype.constructor = AWebCubicToSegment;
function AWebCubicToSegment(point1x, point1y, point2x, point2y, point3x, point3y) {
	AWebShapeSegment.call(this);
	this.point1x = point1x;
	this.point1y = point1y;
	this.point2x = point2x;
	this.point2y = point2y;
	this.point3x = point3x;
	this.point3y = point3y;
}
function c9(point1x, point1y, point2x, point2y, point3x, point3y) { return new AWebCubicToSegment(point1x, point1y, point2x, point2y, point3x, point3y); }


AWebDrawCommand.prototype = new AWebGraphicCommand();
AWebDrawCommand.prototype.constructor = AWebDrawCommand;
function AWebDrawCommand() {
	AWebGraphicCommand.call(this);
}
function c10() { return new AWebDrawCommand(); }


AWebFillCommand.prototype = new AWebGraphicCommand();
AWebFillCommand.prototype.constructor = AWebFillCommand;
function AWebFillCommand() {
	AWebGraphicCommand.call(this);
}
function c11() { return new AWebFillCommand(); }


AWebFontCommand.prototype = new AWebGraphicCommand();
AWebFontCommand.prototype.constructor = AWebFontCommand;
function AWebFontCommand(fontName, bold, italic, size) {
	AWebGraphicCommand.call(this);
	this.fontName = fontName;
	this.bold = bold;
	this.italic = italic;
	this.size = size;
}
function c12(fontName, bold, italic, size) { return new AWebFontCommand(fontName, bold, italic, size); }


AWebGradientBrush.prototype = new AWebBrush();
AWebGradientBrush.prototype.constructor = AWebGradientBrush;
function AWebGradientBrush(color1, color2, point1x, point1y, point2x, point2y) {
	AWebBrush.call(this);
	this.color1 = color1;
	this.color2 = color2;
	this.point1x = point1x;
	this.point1y = point1y;
	this.point2x = point2x;
	this.point2y = point2y;
}
function c13(color1, color2, point1x, point1y, point2x, point2y) { return new AWebGradientBrush(color1, color2, point1x, point1y, point2x, point2y); }


AWebGraphic.prototype = new Object();
AWebGraphic.prototype.constructor = AWebGraphic;
function AWebGraphic(commands, x, y, width, height, logUnitsToPixel) {
	Object.call(this);
	this.commands = commands;
	this.x = x;
	this.y = y;
	this.width = width;
	this.height = height;
	this.logUnitsToPixel = logUnitsToPixel;
}
function c14(commands, x, y, width, height, logUnitsToPixel) { return new AWebGraphic(commands, x, y, width, height, logUnitsToPixel); }


AWebGraphicCommand.prototype = new Object();
AWebGraphicCommand.prototype.constructor = AWebGraphicCommand;
function AWebGraphicCommand() {
	Object.call(this);
}
function c15() { return new AWebGraphicCommand(); }


AWebGraphicSymbol.prototype = new Object();
AWebGraphicSymbol.prototype.constructor = AWebGraphicSymbol;
function AWebGraphicSymbol(commands, width, height) {
	Object.call(this);
	this.commands = commands;
	this.width = width;
	this.height = height;
}
function c16(commands, width, height) { return new AWebGraphicSymbol(commands, width, height); }


AWebGroupingCommand.prototype = new AWebGraphicCommand();
AWebGroupingCommand.prototype.constructor = AWebGroupingCommand;
function AWebGroupingCommand(bounds, commands) {
	AWebGraphicCommand.call(this);
	this.bounds = bounds;
	this.commands = commands;
}
function c17(bounds, commands) { return new AWebGroupingCommand(bounds, commands); }


AWebImage.prototype = new Object();
AWebImage.prototype.constructor = AWebImage;
function AWebImage(pngImage) {
	Object.call(this);
	this.pngImage = pngImage;
}
function c18(pngImage) { return new AWebImage(pngImage); }


AWebImageCommand.prototype = new AWebGraphicCommand();
AWebImageCommand.prototype.constructor = AWebImageCommand;
function AWebImageCommand(dx1, dy1, dx2, dy2, sx1, sy1, sx2, sy2, image) {
	AWebGraphicCommand.call(this);
	this.dx1 = dx1;
	this.dy1 = dy1;
	this.dx2 = dx2;
	this.dy2 = dy2;
	this.sx1 = sx1;
	this.sy1 = sy1;
	this.sx2 = sx2;
	this.sy2 = sy2;
	this.image = image;
}
function c19(dx1, dy1, dx2, dy2, sx1, sy1, sx2, sy2, image) { return new AWebImageCommand(dx1, dy1, dx2, dy2, sx1, sy1, sx2, sy2, image); }


AWebLineToSegment.prototype = new AWebShapeSegment();
AWebLineToSegment.prototype.constructor = AWebLineToSegment;
function AWebLineToSegment(pointx, pointy) {
	AWebShapeSegment.call(this);
	this.pointx = pointx;
	this.pointy = pointy;
}
function c20(pointx, pointy) { return new AWebLineToSegment(pointx, pointy); }


AWebMoveToSegment.prototype = new AWebShapeSegment();
AWebMoveToSegment.prototype.constructor = AWebMoveToSegment;
function AWebMoveToSegment(pointx, pointy) {
	AWebShapeSegment.call(this);
	this.pointx = pointx;
	this.pointy = pointy;
}
function c21(pointx, pointy) { return new AWebMoveToSegment(pointx, pointy); }


AWebPenCommand.prototype = new AWebGraphicCommand();
AWebPenCommand.prototype.constructor = AWebPenCommand;
function AWebPenCommand(width, style, color) {
	AWebGraphicCommand.call(this);
	this.width = width;
	this.style = style;
	this.color = color;
}
function c22(width, style, color) { return new AWebPenCommand(width, style, color); }




AWebPlaceSymbolCommand.prototype = new AWebGraphicCommand();
AWebPlaceSymbolCommand.prototype.constructor = AWebPlaceSymbolCommand;
function AWebPlaceSymbolCommand(positionx, positiony, symbol) {
	AWebGraphicCommand.call(this);
	this.positionx = positionx;
	this.positiony = positiony;
	this.symbol = symbol;
}
function c23(positionx, positiony, symbol) { return new AWebPlaceSymbolCommand(positionx, positiony, symbol); }


AWebSetClipCommand.prototype = new AWebAbstractClipCommand();
AWebSetClipCommand.prototype.constructor = AWebSetClipCommand;
function AWebSetClipCommand(clipRegion) {
	AWebAbstractClipCommand.call(this, clipRegion);
	this.clipRegion = clipRegion;
}
function c24(clipRegion) { return new AWebSetClipCommand(clipRegion); }


AWebSetTransformCommand.prototype = new AWebAbstractTransformCommand();
AWebSetTransformCommand.prototype.constructor = AWebSetTransformCommand;
function AWebSetTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY) {
	AWebAbstractTransformCommand.call(this, scaleX, scaleY, shearX, shearY, translateX, translateY);
	this.scaleX = scaleX;
	this.scaleY = scaleY;
	this.shearX = shearX;
	this.shearY = shearY;
	this.translateX = translateX;
	this.translateY = translateY;
}
function c25(scaleX, scaleY, shearX, shearY, translateX, translateY) { return new AWebSetTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY); }


AWebShape.prototype = new Object();
AWebShape.prototype.constructor = AWebShape;
function AWebShape(segments) {
	Object.call(this);
	this.segments = segments;
}
function c26(segments) { return new AWebShape(segments); }


AWebShapeSegment.prototype = new Object();
AWebShapeSegment.prototype.constructor = AWebShapeSegment;
function AWebShapeSegment() {
	Object.call(this);
}
function c27() { return new AWebShapeSegment(); }


AWebSolidColorBrush.prototype = new AWebBrush();
AWebSolidColorBrush.prototype.constructor = AWebSolidColorBrush;
function AWebSolidColorBrush(color) {
	AWebBrush.call(this);
	this.color = color;
}
function c28(color) { return new AWebSolidColorBrush(color); }


AWebTextCommand.prototype = new AWebGraphicCommand();
AWebTextCommand.prototype.constructor = AWebTextCommand;
function AWebTextCommand(text, positionx, positiony) {
	AWebGraphicCommand.call(this);
	this.text = text;
	this.positionx = positionx;
	this.positiony = positiony;
}
function c29(text, positionx, positiony) { return new AWebTextCommand(text, positionx, positiony); }


AWebTransparentBrush.prototype = new AWebBrush();
AWebTransparentBrush.prototype.constructor = AWebTransparentBrush;
function AWebTransparentBrush() {
	AWebBrush.call(this);
}
function c30() { return new AWebTransparentBrush(); }


var SOLID = 0;
var DASHED = 1;
var DOTTED = 2;

function create_shape0() {
var segments = [
c21(0,275.5459),c20(103.588,0),c20(657,0),c20(556.882,275.5459),c20(0,275.5459),c7()];
return c26(segments);
}

function create_shape1() {
var segments = [
c21(15,260.5953),c20(113.3529,15),c20(642,15),c20(545.6961,260.5953),c20(15,260.5953),c7()];
return c26(segments);
}

function create_shape2() {
var segments = [
c21(558.2352,269.8054),c20(558.2352,1056.2593),c20(657,729.486),c20(657,5.7405),c20(558.2352,269.8054),c7()];
return c26(segments);
}

function create_shape3() {
var segments = [
c21(2.1470,269.8054),c20(556.882,269.8054),c20(556.882,1062),c20(2.1470,1062),c20(2.1470,269.8054),c7()];
return c26(segments);
}

function create_shape4() {
var segments = [
c21(90,0),c20(0,265),c20(445.5000,265),c20(534,0),c20(90,0),c7()];
return c26(segments);
}

function create_shape5() {
var segments = [
c21(17.310,284.5983),c20(541.294,284.5983),c20(541.294,1046.8234),c20(17.310,1046.8234),c20(17.310,284.5983),c7()];
return c26(segments);
}

function create_shape6() {
var segments = [
c21(-40000,-40000),c20(40000,-40000),c20(40000,40000),c20(-40000,40000),c20(-40000,-40000),c7()];
return c26(segments);
}

function create_shape7() {
var segments = [
c21(4.2941,269.8054),c20(551.7941,269.8054)];
return c26(segments);
}

function create_shape8() {
var segments = [
c21(573.730,277.1113),c20(573.730,1041.1379),c20(641.9091,723.2583),c20(641.9091,20.5768),c20(573.730,277.1113),c7()];
return c26(segments);
}

function createShapes() {
	shape0 = create_shape0();
	rememberShape('shape0', shape0);
	shape1 = create_shape1();
	rememberShape('shape1', shape1);
	shape2 = create_shape2();
	rememberShape('shape2', shape2);
	shape3 = create_shape3();
	rememberShape('shape3', shape3);
	shape4 = create_shape4();
	rememberShape('shape4', shape4);
	shape5 = create_shape5();
	rememberShape('shape5', shape5);
	shape6 = create_shape6();
	rememberShape('shape6', shape6);
	shape7 = create_shape7();
	rememberShape('shape7', shape7);
	shape8 = create_shape8();
	rememberShape('shape8', shape8);
}

function createImages() {

}

function create_s0() {
var commands = [c6(c13('#ffcc33','#a67c00',262.727,660.8027,279.5000,674.8944)),c8(shape3),c11(),c6(c13('#cc9900','#8e6b00',0,0,657,1062)),c8(shape5),c11(),c6(c28('#806000')),c22(5, SOLID, '#806000'),c8(shape3),c10(),c6(c13('#ffcc33','#a67c00',509.8020,527.4592,607.5000,538.815)),c8(shape2),c11(),c6(c13('#cc9900','#8e6b00',0,0,657,1062)),c8(shape8),c11(),c6(c28('#806000')),c22(5, SOLID, '#806000'),c8(shape2),c10(),c6(c28('#000000')),c22(5, SOLID, '#000000'),c8(shape7),c10(),c6(c13('#ffcc33','#a67c00',313.7783,124.5039,328.5000,164.9920)),c8(shape0),c11(),c6(c13('#cc9900','#8e6b00',0,0,657,1062)),c8(shape1),c11(),c6(c28('#806000')),c22(5, SOLID, '#806000'),c8(shape0),c10()];
return c16(commands,657,1062);
}

function create_s1() {
var commands = [c6(c13('#999999','#666666',267,0,267,265)),c8(shape4),c11(),c22(1, SOLID, '#ffffff'),c10()];
return c16(commands,534,265);
}

function create_s2() {
var commands = [c6(c28('#999999')),c8(shape4),c11(),c22(5, SOLID, '#ffffff'),c10()];
return c16(commands,534,265);
}

function create_s3() {
var commands = [c6(c28('#666666')),c8(shape4),c11(),c22(5, SOLID, '#ffffff'),c10()];
return c16(commands,534,265);
}

function create_s4() {
var commands = [c6(c28('#cccccc')),c8(shape4),c11(),c22(5, SOLID, '#ffffff'),c10()];
return c16(commands,534,265);
}

function create_s5() {
var commands = [c6(c13('#999999','#cccccc',267,0,267,265)),c8(shape4),c11(),c22(5, SOLID, '#ffffff'),c10()];
return c16(commands,534,265);
}

function create_s6() {
var commands = [c6(c13('#666666','#999999',267,0,267,265)),c8(shape4),c11(),c22(1, SOLID, '#ffffff'),c10()];
return c16(commands,534,265);
}

function create_s7() {
var commands = [c6(c28('#999999')),c8(shape4),c11(),c22(1, SOLID, '#ffffff'),c10()];
return c16(commands,534,265);
}

function create_s8() {
var commands = [c6(c13('#cccccc','#999999',267,0,267,265)),c8(shape4),c11(),c22(5, SOLID, '#ffffff'),c10()];
return c16(commands,534,265);
}


function buildGraphic() {

	createImages();

	createShapes();
var s1 = create_s1();
rememberSymbol(s1);
var s0 = create_s0();
rememberSymbol(s0);
var s2 = create_s2();
rememberSymbol(s2);
var s3 = create_s3();
rememberSymbol(s3);
var s4 = create_s4();
rememberSymbol(s4);
var s6 = create_s6();
rememberSymbol(s6);
var s5 = create_s5();
rememberSymbol(s5);
var s7 = create_s7();
rememberSymbol(s7);
var s8 = create_s8();
rememberSymbol(s8);

var commands = [c6(c28('#ffffff')),c8(shape6),c11(),c6(c28('#000000')),c17(new Rectangle(415, 304, 534, 265), [c23(415, 304, s4)]),c17(new Rectangle(863, 304, 534, 265), [c23(863, 304, s2),c6(c28('#000000')),c12('Arial Fett', true, false, 106),c12('Arial', true, false, 106),c29('A', 1095, 475)]),c17(new Rectangle(1310, 305, 534, 265), [c23(1310, 305, s4)]),c17(new Rectangle(1758, 305, 534, 265), [c23(1758, 305, s2)]),c17(new Rectangle(323, 573, 534, 265), [c23(323, 573, s1)]),c17(new Rectangle(770, 574, 534, 265), [c23(770, 574, s8)]),c17(new Rectangle(1218, 574, 534, 265), [c23(1218, 574, s1)]),c17(new Rectangle(1667, 575, 534, 265), [c23(1667, 575, s8)]),c17(new Rectangle(232, 843, 534, 265), [c23(232, 843, s2)]),c17(new Rectangle(680, 843, 534, 265), [c23(680, 843, s3)]),c17(new Rectangle(1127, 844, 534, 265), [c23(1127, 844, s7),c6(c28('#000000')),c12('Arial Fett', true, false, 106),c12('Arial', true, false, 106),c29('B', 1357, 1015)]),c17(new Rectangle(1575, 844, 534, 265), [c23(1575, 844, s3)]),c17(new Rectangle(140, 1112, 534, 265), [c23(140, 1112, s6)]),c17(new Rectangle(587, 1113, 534, 265), [c23(587, 1113, s5)]),c17(new Rectangle(1035, 1113, 534, 265), [c23(1035, 1113, s6)]),c17(new Rectangle(1484, 1114, 534, 265), [c23(1484, 1114, s5)]),c17(new Rectangle(47, 1381, 534, 265), [c23(47, 1381, s4)]),c17(new Rectangle(495, 1381, 534, 265), [c23(495, 1381, s2)]),c17(new Rectangle(942, 1382, 534, 265), [c23(942, 1382, s4)]),c17(new Rectangle(1390, 1382, 534, 265), [c23(1390, 1382, s2)]),c17(new Rectangle(3135, 543, 534, 265), [c23(3135, 543, s2),c6(c28('#000000')),c12('Arial Fett', true, false, 106),c12('Arial', true, false, 106),c29('A', 3367, 714)]),c17(new Rectangle(3425, 830, 534, 265), [c23(3425, 830, s7),c6(c28('#000000')),c12('Arial Fett', true, false, 106),c12('Arial', true, false, 106),c29('B', 3655, 1001)]),c17(new Rectangle(59, 1713, 2620, 120), [c6(c28('#666666')),c12('Arial Fett', true, false, 53),c12('Arial', true, false, 53),c29('Illusion originator: Edward D. Adelson ', 59, 1762),c12('Arial', false, false, 53),c29('| http://web.mit.edu/persci/people/adelson/checkershadow_illusion.html', 1034, 1762),c12('Arial Fett', true, false, 53),c12('Arial', true, false, 53),c29('Modeler in ARIS Express: Rune Becker', 59, 1822),c12('Arial', false, false, 53),c29(' | http://www.linkedin.com/in/runebecker', 1036, 1822)]),c17(new Rectangle(495, 72, 1822, 91), [c6(c28('#cc9900')),c12('Arial Fett', true, false, 79),c12('Arial', true, false, 79),c29('The squares A and B are the same shade of gray', 495, 145)]),c17(new Rectangle(1831, 214, 657, 1062), [c23(1831, 214, s0)]),c17(new Rectangle(3252, 412, 636, 91), [c6(c28('#cc9900')),c12('Arial Fett', true, false, 79),c12('Arial', true, false, 79),c29('Here it the proof:', 3252, 485)])];
	return new AWebGraphic(commands, 0, 0, 3959, 1833, 0.2954);
}
function Point(x,y) {
    this.x = x;
    this.y = y;
}

function Dimension(width, height) {
    this.width = width;
    this.height = height;
}

function Rectangle(x, y, width, height) {
    this.x = x;
    this.y = y;
    this.width = width;
    this.height = height;
}

function ModelDataVersion(major, minor, revision) {
    this.major = major;
    this.minor = minor;
    this.revision = revision;
}

Rectangle.prototype = {
    containsPoint: function (p) {
        var w = this.width;
        var h = this.height;
        var x = this.x;
        var y = this.y;
        if (p.x < x || p.y < y) {
            return false;
        }

        w += x;
        h += y;
        return ((w < x || w > p.x) && (h < y || h > p.y));
    },

    intersects: function (r) {
        var tw = this.width;
        var th = this.height;
        var rw = r.width;
        var rh = r.height;
        if (rw <= 0 || rh <= 0 || tw <= 0 || th <= 0) {
            return false;
        }
        var tx = this.x;
        var ty = this.y;
        var rx = r.x;
        var ry = r.y;
        rw += rx;
        rh += ry;
        tw += tx;
        th += ty;
        //      overflow || intersect
        return ((rw < rx || rw > tx) &&
                (rh < ry || rh > ty) &&
                (tw < tx || tw > rx) &&
                (th < ty || th > ry));
    },

    containsRectangle: function (rect) {
        // code stolen from JDK
        var X = rect.x;
        var Y = rect.y;
        var W = rect.width;
        var H = rect.height;
        var w = this.width;
        var h = this.height;
        if ((w | h | W | H) < 0) {
            // At least one of the dimensions is negative...
            return false;
        }
        // Note: if any dimension is zero, tests below must return false...
        var x = this.x;
        var y = this.y;
        if (X < x || Y < y) {
            return false;
        }
        w += x;
        W += X;
        if (W <= X) {
            // X+W overflowed or W was zero, return false if...
            // either original w or W was zero or
            // x+w did not overflow or
            // the overflowed x+w is smaller than the overflowed X+W
            if (w >= x || W > w) return false;
        } else {
            // X+W did not overflow and W was not zero, return false if...
            // original w was zero or
            // x+w did not overflow and x+w is smaller than X+W
            if (w >= x && W > w) return false;
        }
        h += y;
        H += Y;
        if (H <= Y) {
            if (h >= y || H > h) return false;
        } else {
            if (h >= y && H > h) return false;
        }
        return true;
    }
};

var ALL_SHAPES = new Array();
var ALL_SYMBOLS = new Array();
var ALL_IMAGES = new Array();

function createImageFromBase64(data) {
    var image = createImage();
    image.loaded = false;
    image.onload = function() { image.loaded = true; } ;
    var url = 'data:image/png;base64,' + data;
	try {
		image.src = url;
	} catch(e) {
		// do nothing ...
	}
    image.url = url;
    ALL_IMAGES.push(image);
    return image;
}

function AImage(){
}

function createImage(){
    return false ? new AImage() : new Image();
}

function rememberShape(shapeName, shape)  {
    shape.name = shapeName;
    ALL_SHAPES.push(shape);
}

function rememberSymbol(symbol)  {
    ALL_SYMBOLS.push(symbol);
}

function getModelDataVersion() {
    return new ModelDataVersion(1, 0, 0);
}